import { logger as Logger } from '@cdm-logger/server/lib/logger';
import { IBaseRepository } from '@common-stack/store-mongo';
export declare class CountriesAndCitiesMigration {
    private countryService;
    private stateService;
    private cityService;
    private readonly logger;
    get id(): string;
    constructor(countryService: IBaseRepository<any>, stateService: IBaseRepository<any>, cityService: IBaseRepository<any>, logger: typeof Logger);
    up(): Promise<void>;
    down(): Promise<void>;
}
